/***************************************************************************
                          execwrap.c  -  description
                             -------------------
    begin                : Tue Aug 14 2001
    copyright            : (C) 2001 by Lee Packham
    email                : lpackham@mswinxp.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <sys/types.h>
#include <unistd.h>

#include "execwrap.h"

#define _PATH_BSHELL "/bin/sh"

// Execute an external program
void execProgram(char *cmd)
{
	pid_t pid;

	if ((pid = fork()) < 0)
		return;
	else if (!pid) {		/* we are the child process */
		execl(_PATH_BSHELL, "sh", "-c", cmd, NULL);

		// execl exits that fork...
	}

}